Skip to content
Proud to collaborate with Microsoft for Startups

argocd.repository.validate-write-access ​

ValidateWriteAccess validates write access to a repository with given parameters

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-argocd
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Argocd API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
repostringYes—The URL to the repo
bodyjsonYes—The URL to the repo
usernamestringNo—Username for accessing repo.
passwordstringNo—Password for accessing repo.
sshprivatekeystringNo—Private key data for accessing SSH repository.
insecurebooleanNo—Whether to skip certificate or host key validation.
tlsclientcertdatastringNo—TLS client cert data for accessing HTTPS repository.
tlsclientcertkeystringNo—TLS client cert key for accessing HTTPS repository.
typestringNo—The type of the repo.
namestringNo—The name of the repo.
enableocibooleanNo—Whether helm-oci support should be enabled for this repo.
githubappprivatekeystringNo—Github App Private Key PEM data.
githubappidstringNo—Github App ID of the app used to access the repo.
githubappinstallationidstringNo—Github App Installation ID of the installed GitHub App.
githubappenterprisebaseurlstringNo—Github App Enterprise base url if empty will default to https://api.github.com.
proxystringNo—HTTP/HTTPS proxy to access the repository.
projectstringNo—Reference between project and repository that allow you automatically to be added as item inside SourceRepos project entity.
gcpserviceaccountkeystringNo—Google Cloud Platform service account key.
forcehttpbasicauthbooleanNo—Whether to force HTTP basic auth.
useazureworkloadidentitybooleanNo—Whether to use azure workload identity for authentication.
bearertokenstringNo—BearerToken contains the bearer token used for Git auth at the repo server.
insecureociforcehttpbooleanNo—Whether https should be disabled for an OCI repo.
azureserviceprincipalclientidstringNo—Azure Service Principal Client ID.
azureserviceprincipalclientsecretstringNo—Azure Service Principal Client Secret.
azureserviceprincipaltenantidstringNo—Azure Service Principal Tenant ID.
azureactivedirectoryendpointstringNo—Azure Active Directory Endpoint.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Argocd API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
repostringYes—The URL to the repo
bodyjsonYes—The URL to the repo
usernamestringNo—Username for accessing repo.
passwordstringNo—Password for accessing repo.
sshprivatekeystringNo—Private key data for accessing SSH repository.
insecurebooleanNo—Whether to skip certificate or host key validation.
tlsclientcertdatastringNo—TLS client cert data for accessing HTTPS repository.
tlsclientcertkeystringNo—TLS client cert key for accessing HTTPS repository.
typestringNo—The type of the repo.
namestringNo—The name of the repo.
enableocibooleanNo—Whether helm-oci support should be enabled for this repo.
githubappprivatekeystringNo—Github App Private Key PEM data.
githubappidstringNo—Github App ID of the app used to access the repo.
githubappinstallationidstringNo—Github App Installation ID of the installed GitHub App.
githubappenterprisebaseurlstringNo—Github App Enterprise base url if empty will default to https://api.github.com.
proxystringNo—HTTP/HTTPS proxy to access the repository.
projectstringNo—Reference between project and repository that allow you automatically to be added as item inside SourceRepos project entity.
gcpserviceaccountkeystringNo—Google Cloud Platform service account key.
forcehttpbasicauthbooleanNo—Whether to force HTTP basic auth.
useazureworkloadidentitybooleanNo—Whether to use azure workload identity for authentication.
bearertokenstringNo—BearerToken contains the bearer token used for Git auth at the repo server.
insecureociforcehttpbooleanNo—Whether https should be disabled for an OCI repo.
azureserviceprincipalclientidstringNo—Azure Service Principal Client ID.
azureserviceprincipalclientsecretstringNo—Azure Service Principal Client Secret.
azureserviceprincipaltenantidstringNo—Azure Service Principal Tenant ID.
azureactivedirectoryendpointstringNo—Azure Active Directory Endpoint.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call POST /api/v1/write-repositories/{repo}/validate
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform POST /api/v1/write-repositories/{repo}/validate
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "argocd.repository.validate-write-access",
  "initial_data": {
    "base_url": "value",
    "repo": "value",
    "body": "value"
  }
}